from op5helpers import *

nacoma_api_endpoint = 'https://'+os.environ["MONITOR_SERVER"]+'/api/config/'

def test_can_login_via_nacoma():
    r = requests.get(nacoma_api_endpoint+'host', auth=('monitor', 'monitor'), verify=False)
    eq_(r.status_code, 200)

def test_no_connection_without_auth():
    r = requests.get(nacoma_api_endpoint, verify=False)
    eq_(r.status_code, 401)

def test_no_connection_with_bad_auth():
    r = requests.get(nacoma_api_endpoint, auth=('zumth1ng', 'non-exizt1ng'), verify=False)
    eq_(r.status_code, 401)

def test_correct_http_status_with_bad_request():
    r = requests.get(nacoma_api_endpoint + 'some-junk-here', auth=('monitor', 'monitor'), verify=False)
    eq_(r.status_code, 404)
